<?php
require'fun.php';
$uinfo=$conn->query('SELECT`id`,`nume`,`sex`,`parolada`,`parolaprofil`FROM`membrii`WHERE`id`="'.$la.'"')->fetch_row();
if(isset($uinfo[0]))
{
require'f_profil.php';
$unume=$uinfo[1];
$x2='/la/'.$la.'-'.seo($unume);
if($_SERVER['REQUEST_URI']!='/detalii-membru'.$x2&&$_SERVER['REQUEST_URI']!='/profil-membru'.$x2&&$_SERVER['REQUEST_URI']!='/statistici-membru'.$x2)
$back[1]=profil($la,'Profil membru '.nume($la));
}
else
{
http_response_code(410);
$titlu='Eroare!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest membru nu a fost gasit!<br />Probabil contul i-a fost șters!'.$div[0];
require'f_jos.php';
}
if($uinfo[3]==1&&$perm==0&&$la!=$de)
{
if(($_POST['parola']??'')==$uinfo[4])
$_SESSION['parola_'.$la]=$uinfo[4];
if(($_SESSION['parola_'.$la]??'')!=$uinfo[4])
{
$titlu='Acces restrictionat la profilul membrului '.$unume.'!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Profil securizat!'.$div[0].$div[10].'Pentru a-l accesa, ai nevoie de parola!<br />Aceasta o poți obtine de la proprietarul profilului!'.$div[0];
if(isset($_POST['parola']))
echo$div[7].'Parola introdusă este incorectă!'.$div[0];
$form[0]=$_SERVER['REQUEST_URI'].'" method="post';
$form[1]=0;
$form[2]=$div[1].'Introdu parola:<br /><input type="password" name="parola" maxlength="33" />'.$div[0];
$form[3]='parola';
$form[4]='Confirmă';
require'f_form.php';
require'f_statut.php';
if(budres($de,$la)==2)
echo$div[1].'<a href="/sterge-de-la-prieteni'.$x2.'"><img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" />Șterge de la prieteni</a>'.$div[0];
echo$div[1].'<a href="'.($conn->query('SELECT COUNT(*)FROM`ignorati`WHERE`la`="'.$la.'"&&`de`="'.$de.'"')->fetch_row()[0]>0?'/sterge-de-la-ignorati'.$x2.'"><img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" />Șterge de':'/adauga-la-ignorati'.$x2.'"><img src="'.$domenii_statice[1].'blocheaza.gif" alt="" width="16" height="16" />Adaugă ').'la ignor pe '.nume($la).'</a>'.$div[0];
require'f_jos.php';
}
}
function acces_profil($la,$de)
{
global$conn,$perm;
if($de==$la||$perm>0)
return 0;
if($conn->query('SELECT`modprofil`FROM`membrii`WHERE`id`="'.$la.'"')->fetch_row()[0]==1)
return($conn->query('SELECT COUNT(*)FROM`prieteni`WHERE(`de`="'.$de.'"&&`la`="'.$la.'"||`de`="'.$la.'"&&`la`="'.$de.'")&&`citit`>"0"')->fetch_row()[0]>0?0:1);
}
if(acces_profil($la,$de)==1)
{
http_response_code(401);
$titlu='Acces interzis la profilul membrului '.$unume.'!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'La acest profil au acces doar prietenii membrului '.nume($la).'!'.$div[0].$div[1].'<a href="/adauga-la-prieteni'.$x2.'">'.img('pref.gif',1).'Trimite-i cerere în prietenie</a>'.$div[0].$div[1].'<a href="'.($conn->query('SELECT COUNT(*)FROM`ignorati`WHERE`la`="'.$la.'"&&`de`="'.$de.'"')->fetch_row()[0]>0?'/sterge-de-la-ignorati'.$x2.'"><img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" />Șterge de':'/adauga-la-ignorati'.$x2.'"><img src="'.$domenii_statice[1].'blocheaza.gif" alt="" width="16" height="16" />Adaugă ').'la ignor pe '.nume($la).'</a>'.$div[0];
require'f_jos.php';
}